Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## peak.can.basic
Enum TPCANStatus

    java.lang.Object
      java.lang.Enum<TPCANStatus>
          peak.can.basic.TPCANStatus

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TPCANStatus>

    public enum TPCANStatus

extends java.lang.Enum<TPCANStatus>

Represent the PCAN error and status codes

Enum Constant Summary
`PCAN_ERROR_ANYBUSERR` PCAN_ERROR_ANYBUSERR
`PCAN_ERROR_BUSHEAVY` Bus error: an error counter reached the 'heavy' limit
`PCAN_ERROR_BUSLIGHT` Bus error: an error counter reached the 'light' limit
`PCAN_ERROR_BUSOFF` Bus error: the CAN controller is in bus-off state
`PCAN_ERROR_ILLHANDLE` Mask for all handle errors
`PCAN_ERROR_ILLPARAMTYPE` Invalid parameter
`PCAN_ERROR_ILLPARAMVAL` Invalid parameter value
`PCAN_ERROR_INITIALIZE` Channel is not initialized
`PCAN_ERROR_NODRIVER` Driver not loaded
`PCAN_ERROR_OK` No Error
`PCAN_ERROR_OVERRUN` CAN controller was read too late
`PCAN_ERROR_QOVERRUN` Receive queue was read too late
`PCAN_ERROR_QRCVEMPTY` Receive queue is empty
`PCAN_ERROR_QXMTFULL` Transmit queue is full
`PCAN_ERROR_REGTEST` Test of the CAN controller hardware registers failed (no hardware found)
`PCAN_ERROR_RESOURCE` Resource (FIFO, Client, timeout) cannot be created
`PCAN_ERROR_UNKNOWN` Unknow error
`PCAN_ERROR_XMTFULL` Transmit buffer in CAN controller is full

Method Summary
`int` | `getValue()`
`static TPCANStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TPCANStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PCAN_ERROR_OK

    public static final TPCANStatus PCAN_ERROR_OK

  No Error

### PCAN_ERROR_XMTFULL

    public static final TPCANStatus PCAN_ERROR_XMTFULL

  Transmit buffer in CAN controller is full

### PCAN_ERROR_OVERRUN

    public static final TPCANStatus PCAN_ERROR_OVERRUN

  CAN controller was read too late

### PCAN_ERROR_BUSLIGHT

    public static final TPCANStatus PCAN_ERROR_BUSLIGHT

  Bus error: an error counter reached the 'light' limit

### PCAN_ERROR_BUSHEAVY

    public static final TPCANStatus PCAN_ERROR_BUSHEAVY

  Bus error: an error counter reached the 'heavy' limit

### PCAN_ERROR_BUSOFF

    public static final TPCANStatus PCAN_ERROR_BUSOFF

  Bus error: the CAN controller is in bus-off state

### PCAN_ERROR_ANYBUSERR

    public static final TPCANStatus PCAN_ERROR_ANYBUSERR

  PCAN_ERROR_ANYBUSERR

### PCAN_ERROR_QRCVEMPTY

    public static final TPCANStatus PCAN_ERROR_QRCVEMPTY

  Receive queue is empty

### PCAN_ERROR_QOVERRUN

    public static final TPCANStatus PCAN_ERROR_QOVERRUN

  Receive queue was read too late

### PCAN_ERROR_QXMTFULL

    public static final TPCANStatus PCAN_ERROR_QXMTFULL

  Transmit queue is full

### PCAN_ERROR_REGTEST

    public static final TPCANStatus PCAN_ERROR_REGTEST

  Test of the CAN controller hardware registers failed (no hardware found)

### PCAN_ERROR_NODRIVER

    public static final TPCANStatus PCAN_ERROR_NODRIVER

  Driver not loaded

### PCAN_ERROR_RESOURCE

    public static final TPCANStatus PCAN_ERROR_RESOURCE

  Resource (FIFO, Client, timeout) cannot be created

### PCAN_ERROR_ILLPARAMTYPE

    public static final TPCANStatus PCAN_ERROR_ILLPARAMTYPE

  Invalid parameter

### PCAN_ERROR_ILLPARAMVAL

    public static final TPCANStatus PCAN_ERROR_ILLPARAMVAL

  Invalid parameter value

### PCAN_ERROR_ILLHANDLE

    public static final TPCANStatus PCAN_ERROR_ILLHANDLE

  Mask for all handle errors

### PCAN_ERROR_UNKNOWN

    public static final TPCANStatus PCAN_ERROR_UNKNOWN

  Unknow error

### PCAN_ERROR_INITIALIZE

    public static final TPCANStatus PCAN_ERROR_INITIALIZE

  Channel is not initialized

Method Detail

### values

    public static TPCANStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TPCANStatus c : TPCANStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TPCANStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public int getValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD